Bug 1465560 - IT is quite hard to open VM details in the Patternfly based UI when VM name is short
IT is quite hard to open VM details in the Patternfly based UI when VM name i...
Status: CLOSED NOTABUG
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
future
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.2.0
: ---
Assigned To: bugs@ovirt.org
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 11:55 EDT by Denis Chaplygin
Modified: 2017-07-02 10:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-02 10:19:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)
VM with short name (44.63 KB, image/png)
2017-06-27 11:55 EDT, Denis Chaplygin
no flags Details

  None (edit)
Description Denis Chaplygin 2017-06-27 11:55:02 EDT
Created attachment 1292401 [details]
VM with short name

Description of problem: With Patternfly based UI double clicking on VM row open edit dialog, while click on the VM name opens VM details page. When your VM name is short (see attachment) you need to be very precise to open details page.


How reproducible: Always


Steps to Reproduce:
1. Create a VM and give it a name like 1 or ~
2. Start your pixel hunt
3.

Expected results: It would be nice if details page can be called by clicking some action icon or clicking the whole row (and edit page dialog should use some action icon then). Anyway, detail page click area should be always big enough
Comment 1 Oved Ourfali 2017-06-28 01:54:07 EDT
I assume such names are less common. 
We'll check what we can do.
Comment 2 Greg Sheremeta 2017-07-02 10:19:39 EDT
We looked into it, and this is the pattern used by PatternFly. As Oved says, short names should be less common. Closing.

Note You need to log in before you can comment on or make changes to this bug.